#!/bin/sh

# Sat Jul  8 22:07:16 GMT 2000

texfile="xligtest.tex";

function maketexmf {
cat <<EOFT >xm${1}.mf 
if unknown cmbase: input cmbase fi;
def generate suffix t = enddef;
input cm$1; input $2;
EOFT
echo "\\txt{cm$1} \\txt{xm$1}" >>$texfile
}

cat <<EOFT >$texfile
\\baselineskip20pt plus5pt \\parskip20pt plus5pt \\parindent0pt
\\long\\def\\txt#1{\\font\\cf=#1 \\cf ,,#1'' ij fij ffij fb fh fj fk
ffb fff ffh ffj ffk 0123456789 \\$\$0123456789\$\\$\\par}
EOFT
for i in 0 1 2 3 4 5 6 7 8 9; do
echo "\\mathcode\`\\$i=\"713"$i >>$texfile ; done

for i in 5 6 7 8 9 10 12 17; do maketexmf r$i xmroman; done ;
for i in 8 9 10 12; do maketexmf sl$i xmroman; done ;
for i in 7 8 9 10 12; do maketexmf ti$i xmtextit; done ;
for i in 10; do maketexmf b$i xmroman; done ;
for i in 5 6 7 8 9 10 12; do maketexmf bx$i xmroman; done ;
for i in 10; do maketexmf bxsl$i xmroman; done ;
for i in 10; do maketexmf bxti$i xmtextit; done ;

echo "\\bye" >>$texfile

echo YOU MAY HAVE TO RUN texhash

tex $texfile

## dvips $(basename $texfile .tex).dvi

xdvi $(basename $texfile .tex).dvi

rm -f *.log
rm -f *.aux

